#include <iostream>

using namespace std;
int main() { 
    int n, m;
    cin >> n >> m;
    int a[n], b[m];
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        for (int j = 0; j <m; j++) {
            cin >> b[j];
        }
    }
    int p, q;
    cin >> p >> q;
    cout << -1 << endl;
}